マルウェアの作成StateForWindowsDevice

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい malwareStateForWindowsDevice オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All

HTTP 要求

POST /deviceManagement/windowsMalwareInformation/{windowsMalwareInformationId}/deviceMalwareStates

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、malwareStateForWindowsDevice オブジェクトの JSON 表記を指定します。

次の表に、malwareStateForWindowsDevice を作成するときに必要なプロパティを示します。

プロパティ 種類 説明
id String 一意の識別子。 これはデバイス ID です。
deviceName String デバイス名
executionState windowsMalwareExecutionState ブロック/実行などのマルウェアの実行状態使用できる値は unknown blocked 、、、、 allowed running です notRunning
threatState windowsMalwareThreatState クリーンアップ/検疫/許可などのマルウェアの脅威状態。指定できる値は active actionFailed manualStepsRequired fullScanRequired 、、、、、、、、 rebootRequired remediatedWithNonCriticalFailures quarantined removed cleaned allowed です noStatusCleared
initialDetectionDateTime DateTimeOffset マルウェアの初期検出日時
lastStateChangeDateTime DateTimeOffset この特定の脅威が最後に変更された時刻
detectionCount Int32 マルウェアが検出された回数

応答

成功した場合、このメソッドは応答コードと、応答本文 201 Created の malwareStateForWindowsDevice オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/windowsMalwareInformation/{windowsMalwareInformationId}/deviceMalwareStates
Content-type: application/json
Content-length: 334

{
  "@odata.type": "#microsoft.graph.malwareStateForWindowsDevice",
  "deviceName": "Device Name value",
  "executionState": "blocked",
  "threatState": "actionFailed",
  "initialDetectionDateTime": "2016-12-31T23:57:05.3889692-08:00",
  "lastStateChangeDateTime": "2016-12-31T23:59:51.0767794-08:00",
  "detectionCount": 14
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 383

{
  "@odata.type": "#microsoft.graph.malwareStateForWindowsDevice",
  "id": "ce06da73-da73-ce06-73da-06ce73da06ce",
  "deviceName": "Device Name value",
  "executionState": "blocked",
  "threatState": "actionFailed",
  "initialDetectionDateTime": "2016-12-31T23:57:05.3889692-08:00",
  "lastStateChangeDateTime": "2016-12-31T23:59:51.0767794-08:00",
  "detectionCount": 14
}